require 'logger'
require 'net/ssh'
require 'net/scp'
require 'colorize'

require 'prep_kit/version'
require 'prep_kit/remote'
require 'prep_kit/context'
require 'prep_kit/task'
require 'prep_kit/within'
require 'prep_kit/with'
require 'prep_kit/formatter'

module PrepKit
  class AssignError < StandardError; end
  class NotFoundError < StandardError; end

  class << self
    def logger=(val)
      @@logger = val
    end

    def logger
      @@logger ||= Logger.new(STDOUT).tap do |logger|
        logger.formatter = Formatter.new
      end
    end
  end
end
