module PrepKit
  class Task
    def initialize(parent)
      @parent = parent
    end

    def sh(command)
      @parent.sh command
    end

    def test?(path, option)
      @parent.test? path, option
    end

    def upload(src, dst)
      @parent.upload src, dst
    end

    def download(src, dst)
      @parent.download src, dst
    end

    def within(directory, &block)
      PrepKit.logger.info "within: ".bold + directory.underline

      raise RuntimeError, directory unless test?(directory, '-d')

      Within.new(self, directory).action &block
    end

    def with(command, &block)
      With.new(self, command).action &block
    end

    def action(&block)
      instance_eval &block
    end
  end
end
