module PrepKit
  class Within < Task
    def initialize(parent, directory)
      @parent    = parent
      @directory = directory
    end

    def sh(command)
      @parent.sh("cd #{@directory}; #{command}")
    end

    def test?(path, option)
      @parent.test?(File.join(@directory, path), option)
    end

    def upload(src, dst)
      @parent.upload(src, File.join(@directory, dst))
    end

    def download(src, dst)
      @parent.download(File.join(@directory, src), dst)
    end
  end
end
